CMSIS-Core (Cortex-A): System Control Register (SCTLR)

| CMSIS-Core (Cortex-A) Version 1.0.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Content | Data Structures | Functions
System Control Register (SCTLR)
Core Register Access

The SCTLR provides the top level control of the system, including its memory system. More...

## Content
| SCTLR Bits
| Bit position and mask macros.

## Data Structures
struct | SCTLR_Type
| Bit field declaration for SCTLR layout. More...

## Functions
__STATIC_INLINE void | __set_SCTLR (uint32_t sctlr)
| Set SCTLR (System Control Register). More...
__STATIC_INLINE uint32_t | __get_SCTLR ()
| Get SCTLR (System Control Register). More...

## Description

In a VMSAv7 implementation, the SCTLR bit assignments are:

Bits | Name | Function
--- | --- | ---
[31] | - | Reserved.
[30] | TE | Thumb Exception enable.
[29] | AFE | Access flag enable bit.
[28] | TRE | TEX remap enable bit.
[27:26] | - | Reserved.
[25] | EE | Exception Endianness bit.
[24:21] | - | Reserved.
[20] | UWXN | Unprivileged write permission implies PL1 Execute Never (XN).
[19] | WXN | Write permission implies Execute Never (XN).
[18:14] | - | Reserved.
[13] | V | Vectors bit.
[12] | I | Instruction cache enable bit.
[11] | Z | Branch prediction enable bit.
[10] | SW | SWP and SWPB enable bit.
[9:3] | - | Reserved.
[2] | C | Cache enable bit.
[1] | A | Alignment bit.
[0] | M | Address translation enable bit.

Consider using __get_SCTLR and __set_SCTLR for accessing this register.

## Function Documentation

__STATIC_INLINE uint32_t __get_SCTLR | ( |  | ) |

Returns
  System Control Register value

This function returns the value of the System Control Register (SCTLR).

__STATIC_INLINE void __set_SCTLR | ( | uint32_t | sctlr | ) |

Parameters

  [in] | sctlr | System Control Register value to set

This function assigns the given value to the System Control Register (SCTLR).